Package com.logicaldoc.core.document

# Class DocumentAccessControlEntry

java.lang.Object
com.logicaldoc.core.security.AccessControlEntry
com.logicaldoc.core.security.ExtendedAccessControlEntry
com.logicaldoc.core.document.DocumentAccessControlEntry

All Implemented Interfaces:
  `Serializable`

@Embeddable public class DocumentAccessControlEntry extends ExtendedAccessControlEntry
Represents all the permissions granted to a group against a business object

Since:
  8.9.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DocumentAccessControlEntry()`
`DocumentAccessControlEntry(long groupId)`
`DocumentAccessControlEntry(DocumentAccessControlEntry source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`ExtendedAccessControlEntry`
`getAce()`
`long`
`getGroupId()`
`Set<Permission>`
`grantedPermissions()`
`void`
`grantPermissions(Set<Permission> permissions)`
`int`
`hashCode()`
`boolean`
`isArchive()`
`boolean`
`isAutomation()`
`boolean`
`isCalendar()`
`boolean`
`isCustomid()`
`boolean`
`isDelete()`
`boolean`
`isDownload()`
`boolean`
`isEmail()`
`boolean`
`isImmutable()`
`boolean`
`isMove()`
`boolean`
`isPassword()`
`boolean`
`isPreview()`
`boolean`
`isPrint()`
`boolean`
`isRead()`
`boolean`
`isReadingreq()`
`boolean`
`isRename()`
`boolean`
`isRevision()`
`boolean`
`isSecurity()`
`boolean`
`isSign()`
`boolean`
`isSubscription()`
`boolean`
`isWorkflow()`
`boolean`
`isWrite()`
`void`
`setArchive(boolean archive)`
`void`
`setAutomation(boolean automation)`
`void`
`setCalendar(boolean calendar)`
`void`
`setCustomid(boolean customid)`
`void`
`setDelete(boolean delete)`
`void`
`setDownload(boolean download)`
`void`
`setEmail(boolean email)`
`void`
`setGroupId(long groupId)`
`void`
`setImmutable(boolean immutable)`
`void`
`setMove(boolean move)`
`void`
`setPassword(boolean password)`
`void`
`setPreview(boolean preview)`
`void`
`setPrint(boolean print)`
`void`
`setRead(boolean read)`
`void`
`setReadingreq(boolean readingreq)`
`void`
`setRename(boolean rename)`
`void`
`setRevision(boolean revision)`
`void`
`setSecurity(boolean security)`
`void`
`setSign(boolean sign)`
`void`
`setSubscription(boolean subscription)`
`void`
`setWorkflow(boolean workflow)`
`void`
`setWrite(boolean write)`
`String`
`toString()`

### Methods inherited from class com.logicaldoc.core.security.ExtendedAccessControlEntry

`setAce`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DocumentAccessControlEntry

public DocumentAccessControlEntry()

### DocumentAccessControlEntry

public DocumentAccessControlEntry(DocumentAccessControlEntry source)

### DocumentAccessControlEntry

public DocumentAccessControlEntry(long groupId)

## Method Details

### getAce

public ExtendedAccessControlEntry getAce()

Overrides:
  `getAce` in class `ExtendedAccessControlEntry`

### setGroupId

public void setGroupId(long groupId)

Overrides:
  `setGroupId` in class `ExtendedAccessControlEntry`

### getGroupId

public long getGroupId()

Overrides:
  `getGroupId` in class `ExtendedAccessControlEntry`

### isRead

public boolean isRead()

Overrides:
  `isRead` in class `ExtendedAccessControlEntry`

### setRead

public void setRead(boolean read)

Overrides:
  `setRead` in class `ExtendedAccessControlEntry`

### isWrite

public boolean isWrite()

Overrides:
  `isWrite` in class `ExtendedAccessControlEntry`

### setWrite

public void setWrite(boolean write)

Overrides:
  `setWrite` in class `ExtendedAccessControlEntry`

### isPreview

public boolean isPreview()

Overrides:
  `isPreview` in class `ExtendedAccessControlEntry`

### setPreview

public void setPreview(boolean preview)

Overrides:
  `setPreview` in class `ExtendedAccessControlEntry`

### isDownload

public boolean isDownload()

Overrides:
  `isDownload` in class `ExtendedAccessControlEntry`

### setDownload

public void setDownload(boolean download)

Overrides:
  `setDownload` in class `ExtendedAccessControlEntry`

### isSecurity

public boolean isSecurity()

Overrides:
  `isSecurity` in class `ExtendedAccessControlEntry`

### setSecurity

public void setSecurity(boolean security)

Overrides:
  `setSecurity` in class `ExtendedAccessControlEntry`

### isDelete

public boolean isDelete()

Overrides:
  `isDelete` in class `ExtendedAccessControlEntry`

### setDelete

public void setDelete(boolean delete)

Overrides:
  `setDelete` in class `ExtendedAccessControlEntry`

### isRename

public boolean isRename()

Overrides:
  `isRename` in class `ExtendedAccessControlEntry`

### setRename

public void setRename(boolean rename)

Overrides:
  `setRename` in class `ExtendedAccessControlEntry`

### isImmutable

public boolean isImmutable()

Overrides:
  `isImmutable` in class `ExtendedAccessControlEntry`

### setImmutable

public void setImmutable(boolean immutable)

Overrides:
  `setImmutable` in class `ExtendedAccessControlEntry`

### isSign

public boolean isSign()

Overrides:
  `isSign` in class `ExtendedAccessControlEntry`

### setSign

public void setSign(boolean sign)

Overrides:
  `setSign` in class `ExtendedAccessControlEntry`

### isArchive

public boolean isArchive()

Overrides:
  `isArchive` in class `ExtendedAccessControlEntry`

### setArchive

public void setArchive(boolean archive)

Overrides:
  `setArchive` in class `ExtendedAccessControlEntry`

### isWorkflow

public boolean isWorkflow()

Overrides:
  `isWorkflow` in class `ExtendedAccessControlEntry`

### setWorkflow

public void setWorkflow(boolean workflow)

Overrides:
  `setWorkflow` in class `ExtendedAccessControlEntry`

### isCalendar

public boolean isCalendar()

Overrides:
  `isCalendar` in class `ExtendedAccessControlEntry`

### setCalendar

public void setCalendar(boolean calendar)

Overrides:
  `setCalendar` in class `ExtendedAccessControlEntry`

### isSubscription

public boolean isSubscription()

Overrides:
  `isSubscription` in class `ExtendedAccessControlEntry`

### setSubscription

public void setSubscription(boolean subscription)

Overrides:
  `setSubscription` in class `ExtendedAccessControlEntry`

### isPassword

public boolean isPassword()

Overrides:
  `isPassword` in class `ExtendedAccessControlEntry`

### setPassword

public void setPassword(boolean password)

Overrides:
  `setPassword` in class `ExtendedAccessControlEntry`

### isPrint

public boolean isPrint()

Overrides:
  `isPrint` in class `ExtendedAccessControlEntry`

### setPrint

public void setPrint(boolean print)

Overrides:
  `setPrint` in class `ExtendedAccessControlEntry`

### isMove

public boolean isMove()

Overrides:
  `isMove` in class `ExtendedAccessControlEntry`

### setMove

public void setMove(boolean move)

Overrides:
  `setMove` in class `ExtendedAccessControlEntry`

### isEmail

public boolean isEmail()

Overrides:
  `isEmail` in class `ExtendedAccessControlEntry`

### setEmail

public void setEmail(boolean email)

Overrides:
  `setEmail` in class `ExtendedAccessControlEntry`

### isAutomation

public boolean isAutomation()

Overrides:
  `isAutomation` in class `ExtendedAccessControlEntry`

### setAutomation

public void setAutomation(boolean automation)

Overrides:
  `setAutomation` in class `ExtendedAccessControlEntry`

### isReadingreq

public boolean isReadingreq()

Overrides:
  `isReadingreq` in class `ExtendedAccessControlEntry`

### setReadingreq

public void setReadingreq(boolean readingreq)

Overrides:
  `setReadingreq` in class `ExtendedAccessControlEntry`

### isCustomid

public boolean isCustomid()

Overrides:
  `isCustomid` in class `ExtendedAccessControlEntry`

### setCustomid

public void setCustomid(boolean customid)

Overrides:
  `setCustomid` in class `ExtendedAccessControlEntry`

### isRevision

public boolean isRevision()

Overrides:
  `isRevision` in class `ExtendedAccessControlEntry`

### setRevision

public void setRevision(boolean revision)

Overrides:
  `setRevision` in class `ExtendedAccessControlEntry`

### grantPermissions

public void grantPermissions(Set<Permission> permissions)

Overrides:
  `grantPermissions` in class `ExtendedAccessControlEntry`

### grantedPermissions

public Set<Permission> grantedPermissions()

Overrides:
  `grantedPermissions` in class `ExtendedAccessControlEntry`

### toString

public String toString()

Overrides:
  `toString` in class `ExtendedAccessControlEntry`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `ExtendedAccessControlEntry`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `ExtendedAccessControlEntry`